La búsqueda solo se carga cuando la usas. Explora todas las categorías a continuación.

Programación y publicación

Actualizar publicación programada

Edita una publicación programada que aún no se ha despachado (texto, hashtags, archivos multimedia, enlace, hora). Requiere expected_version de la lectura más reciente; se rechaza una versión desactualizada.

POST /studio-api/scheduled-posts/update

Contrato revisado: · sha256:563d2d581da0ad29

Descripción general

Edita una publicación programada que aún no se ha despachado (texto, hashtags, archivos multimedia, enlace, hora). Requiere expected_version de la lectura más reciente; se rechaza una versión desactualizada.

Una respuesta HTTP exitosa puede indicar aceptación, no finalización. Para trabajo en segundo plano, guarda el ID devuelto y consulta la misma operación hasta que termine. Una publicación programada o aceptada solo está publicada cuando la plataforma lo confirma; un tiempo de espera agotado en el cliente no determina el resultado.

Autenticación y permisos

Clases de credenciales aceptadas
user_session, delegated_oauth, personal_access_token
Capacidad delegada
agent:publish
Rol mínimo del espacio de trabajo
editor
Alcance del acceso
Recursos a los que este usuario está autorizado a acceder
Se requiere consentimiento para todos los espacios de trabajo
No
Cambia el estado
Sí
Cuando la operación se completa
terminal publication outcome

Un token solo puede usar los derechos de su propietario. Cada solicitud comprueba pertenencia al espacio, propiedad del recurso, espacios elegidos y capacidades concedidas. Los perfiles core y full cambian qué herramientas se muestran; no conceden acceso.

Campos de solicitud

Obligatorio significa obligatorio dentro del objeto principal y la rama elegida. Un campo secundario obligatorio no convierte en obligatorio un objeto principal opcional. Las reglas y nombres de campos siguientes se copian del contrato.

Campos de solicitud
Campo / ramaTipo / obligatorioRestricciones
$objectObligatorio en el objeto principal
  • additionalProperties: false
idstringObligatorio en el objeto principal
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
expected_versionintegerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
patchobjectObligatorio en el objeto principal
  • additionalProperties: false
patch.captionstring | nullOpcional / elemento—
patch.captionanyOf 1stringOpcional / elemento
  • maxLength: 5000
patch.captionanyOf 2nullOpcional / elemento—
patch.hashtagsarrayOpcional / elemento
  • maxItems: 100
patch.hashtags[]stringOpcional / elemento
  • maxLength: 100
patch.mediaarrayOpcional / elemento
  • maxItems: 20
patch.media[]objectOpcional / elemento
  • additionalProperties: false
patch.media[].kindstringObligatorio en el objeto principal
  • enum: ["image","video"]
patch.media[].urlstringObligatorio en el objeto principal
  • format: "uri"
patch.media[].cover_urlstring | nullOpcional / elemento—
patch.media[].cover_urlanyOf 1stringOpcional / elemento
  • format: "uri"
patch.media[].cover_urlanyOf 2nullOpcional / elemento—
patch.media[].cover_asset_idinteger | nullOpcional / elemento—
patch.media[].cover_asset_idanyOf 1integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
patch.media[].cover_asset_idanyOf 2nullOpcional / elemento—
patch.media[].asset_idinteger | nullOpcional / elemento—
patch.media[].asset_idanyOf 1integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
patch.media[].asset_idanyOf 2nullOpcional / elemento—
patch.media[].mime_typestring | nullOpcional / elemento—
patch.media[].mime_typeanyOf 1stringOpcional / elemento
  • minLength: 1
  • maxLength: 160
patch.media[].mime_typeanyOf 2nullOpcional / elemento—
patch.link_urlstring | nullOpcional / elemento—
patch.link_urlanyOf 1stringOpcional / elemento
  • format: "uri"
patch.link_urlanyOf 2nullOpcional / elemento—
patch.scheduled_atstringOpcional / elemento
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
patch.display_timezonestringOpcional / elemento
  • minLength: 1
  • maxLength: 80
patch.local_scheduled_atstringOpcional / elemento
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
patch.schedule_dst_disambiguationstringOpcional / elemento
  • enum: ["exact","earlier","later"]
patch.expires_atstring | nullOpcional / elemento—
patch.expires_atanyOf 1stringOpcional / elemento
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
patch.expires_atanyOf 2nullOpcional / elemento—
patch.source_refobject | nullOpcional / elemento—
patch.source_refanyOf 1objectOpcional / elemento
  • additionalProperties: {}
patch.source_ref.*anyOf 1any JSON valueOpcional / elemento—
patch.source_refanyOf 2nullOpcional / elemento—
provider_payloadobjectOpcional / elemento—
provider_payloadoneOf 1objectOpcional / elemento
  • additionalProperties: false
provider_payload.platformoneOf 1stringObligatorio en el objeto principal
  • const: "x"
provider_payload.publish_optionsoneOf 1objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.post_typeoneOf 1stringObligatorio en el objeto principal
  • const: "TEXT"
provider_payloadoneOf 2objectOpcional / elemento
  • additionalProperties: false
provider_payload.platformoneOf 2stringObligatorio en el objeto principal
  • const: "instagram"
provider_payload.publish_optionsoneOf 2objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.post_typeoneOf 2stringObligatorio en el objeto principal
  • enum: ["IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO"]
provider_payload.publish_options.location_idoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.share_to_feedoneOf 2booleanOpcional / elemento—
provider_payload.publish_options.collaboratorsoneOf 2arrayOpcional / elemento
  • maxItems: 3
provider_payload.publish_options.collaborators[]oneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 30
provider_payload.publish_options.first_commentoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 2200
provider_payload.publish_options.cover_asset_idoneOf 2integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.thumb_offset_msoneOf 2integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.audio_nameoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 100
provider_payload.publish_options.trial_paramsoneOf 2objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.trial_params.graduation_strategyoneOf 2stringObligatorio en el objeto principal
  • enum: ["MANUAL","SS_PERFORMANCE"]
provider_payload.publish_options.is_ai_generatedoneOf 2booleanOpcional / elemento—
provider_payload.publish_options.branded_content_sponsor_idsoneOf 2arrayOpcional / elemento
  • maxItems: 2
provider_payload.publish_options.branded_content_sponsor_ids[]oneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.is_paid_partnershiponeOf 2booleanOpcional / elemento—
provider_payload.publish_options.media_optionsoneOf 2arrayOpcional / elemento
  • maxItems: 10
provider_payload.publish_options.media_options[]oneOf 2objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.media_options[].asset_idoneOf 2integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.media_options[].alt_textoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 1000
provider_payload.publish_options.media_options[].user_tagsoneOf 2arrayOpcional / elemento
  • maxItems: 20
provider_payload.publish_options.media_options[].user_tags[]oneOf 2objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.media_options[].user_tags[].usernameoneOf 2stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 30
provider_payload.publish_options.media_options[].user_tags[].xoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
provider_payload.publish_options.media_options[].user_tags[].yoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
provider_payload.publish_options.media_options[].product_tagsoneOf 2arrayOpcional / elemento
  • maxItems: 5
provider_payload.publish_options.media_options[].product_tags[]oneOf 2objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.media_options[].product_tags[].product_idoneOf 2stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.media_options[].product_tags[].xoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
provider_payload.publish_options.media_options[].product_tags[].yoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
provider_payload.publish_options.media_options[].thumb_offset_msoneOf 2integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
provider_payloadoneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.platformoneOf 3stringObligatorio en el objeto principal
  • const: "facebook"
provider_payload.publish_optionsoneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.post_typeoneOf 3stringObligatorio en el objeto principal
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","REELS","STORY_IMAGE","STORY_VIDEO"]
provider_payload.publish_options.titleoneOf 3stringOpcional / elemento
  • maxLength: 255
provider_payload.publish_options.descriptiononeOf 3stringOpcional / elemento
  • maxLength: 5000
provider_payload.publish_options.publication_modeoneOf 3stringOpcional / elemento
  • enum: ["PUBLISH","DRAFT"]
provider_payload.publish_options.backdated_timeoneOf 3numberOpcional / elemento—
provider_payload.publish_options.backdated_time_granularityoneOf 3stringOpcional / elemento
  • enum: ["year","month","day","hour","minute"]
provider_payload.publish_options.placeoneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.tagsoneOf 3arrayOpcional / elemento
  • maxItems: 50
provider_payload.publish_options.tags[]oneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.feed_targetingoneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.feed_targeting.age_minoneOf 3integerOpcional / elemento
  • minimum: 13
  • maximum: 65
provider_payload.publish_options.feed_targeting.age_maxoneOf 3integerOpcional / elemento
  • minimum: 13
  • maximum: 65
provider_payload.publish_options.feed_targeting.college_yearsoneOf 3arrayOpcional / elemento
  • maxItems: 100
provider_payload.publish_options.feed_targeting.college_years[]oneOf 3integerOpcional / elemento
  • minimum: 1900
  • maximum: 2200
provider_payload.publish_options.feed_targeting.education_statusesoneOf 3arrayOpcional / elemento
  • maxItems: 3
provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3numberOpcional / elemento—
provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 1numberOpcional / elemento
  • const: 1
provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 2numberOpcional / elemento
  • const: 2
provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 3numberOpcional / elemento
  • const: 3
provider_payload.publish_options.feed_targeting.gendersoneOf 3arrayOpcional / elemento
  • maxItems: 2
provider_payload.publish_options.feed_targeting.genders[]oneOf 3numberOpcional / elemento—
provider_payload.publish_options.feed_targeting.genders[]oneOf 3 / anyOf 1numberOpcional / elemento
  • const: 1
provider_payload.publish_options.feed_targeting.genders[]oneOf 3 / anyOf 2numberOpcional / elemento
  • const: 2
provider_payload.publish_options.feed_targeting.geo_locationsoneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.feed_targeting.geo_locations.countriesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 25
provider_payload.publish_options.feed_targeting.geo_locations.countries[]oneOf 3stringOpcional / elemento
  • pattern: "^[A-Z]{2}$"
provider_payload.publish_options.feed_targeting.geo_locations.regionsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
provider_payload.publish_options.feed_targeting.geo_locations.regions[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3string | integerObligatorio en el objeto principal—
provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.feed_targeting.geo_locations.citiesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
provider_payload.publish_options.feed_targeting.geo_locations.cities[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3string | integerObligatorio en el objeto principal—
provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.feed_targeting.geo_locations.cities[].radiusoneOf 3numberOpcional / elemento
  • maximum: 1000
  • exclusiveMinimum: 0
provider_payload.publish_options.feed_targeting.geo_locations.cities[].distance_unitoneOf 3stringOpcional / elemento
  • enum: ["mile","kilometer"]
provider_payload.publish_options.feed_targeting.geo_locations.zipsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
provider_payload.publish_options.feed_targeting.geo_locations.zips[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3string | integerObligatorio en el objeto principal—
provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.feed_targeting.geo_locations.location_typesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 2
provider_payload.publish_options.feed_targeting.geo_locations.location_types[]oneOf 3stringOpcional / elemento
  • enum: ["home","recent"]
provider_payload.publish_options.feed_targeting.interestsoneOf 3arrayOpcional / elemento
  • maxItems: 250
provider_payload.publish_options.feed_targeting.interests[]oneOf 3string | integerOpcional / elemento—
provider_payload.publish_options.feed_targeting.interests[]oneOf 3 / anyOf 1stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.feed_targeting.interests[]oneOf 3 / anyOf 2integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.feed_targeting.localesoneOf 3arrayOpcional / elemento
  • maxItems: 250
provider_payload.publish_options.feed_targeting.locales[]oneOf 3integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.feed_targeting.relationship_statusesoneOf 3arrayOpcional / elemento
  • maxItems: 4
provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3numberOpcional / elemento—
provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 1numberOpcional / elemento
  • const: 1
provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 2numberOpcional / elemento
  • const: 2
provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 3numberOpcional / elemento
  • const: 3
provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 4numberOpcional / elemento
  • const: 4
provider_payload.publish_options.targetingoneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.targeting.age_minoneOf 3numberOpcional / elemento—
provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 1numberOpcional / elemento
  • const: 13
provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 2numberOpcional / elemento
  • const: 15
provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 3numberOpcional / elemento
  • const: 18
provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 4numberOpcional / elemento
  • const: 21
provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 5numberOpcional / elemento
  • const: 25
provider_payload.publish_options.targeting.geo_locationsoneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.targeting.geo_locations.countriesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 25
provider_payload.publish_options.targeting.geo_locations.countries[]oneOf 3stringOpcional / elemento
  • pattern: "^[A-Z]{2}$"
provider_payload.publish_options.targeting.geo_locations.regionsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
provider_payload.publish_options.targeting.geo_locations.regions[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3string | integerObligatorio en el objeto principal—
provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.targeting.geo_locations.citiesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
provider_payload.publish_options.targeting.geo_locations.cities[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3string | integerObligatorio en el objeto principal—
provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.targeting.geo_locations.cities[].radiusoneOf 3numberOpcional / elemento
  • maximum: 1000
  • exclusiveMinimum: 0
provider_payload.publish_options.targeting.geo_locations.cities[].distance_unitoneOf 3stringOpcional / elemento
  • enum: ["mile","kilometer"]
provider_payload.publish_options.targeting.geo_locations.zipsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
provider_payload.publish_options.targeting.geo_locations.zips[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3string | integerObligatorio en el objeto principal—
provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.targeting.geo_locations.location_typesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 2
provider_payload.publish_options.targeting.geo_locations.location_types[]oneOf 3stringOpcional / elemento
  • enum: ["home","recent"]
provider_payload.publish_options.child_attachmentsoneOf 3arrayOpcional / elemento
  • minItems: 2
  • maxItems: 10
provider_payload.publish_options.child_attachments[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.child_attachments[].linkoneOf 3stringObligatorio en el objeto principal
  • format: "uri"
provider_payload.publish_options.child_attachments[].nameoneOf 3stringOpcional / elemento
  • maxLength: 255
provider_payload.publish_options.child_attachments[].descriptiononeOf 3stringOpcional / elemento
  • maxLength: 1000
provider_payload.publish_options.child_attachments[].pictureoneOf 3stringObligatorio en el objeto principal
  • format: "uri"
provider_payload.publish_options.multi_share_end_cardoneOf 3booleanOpcional / elemento—
provider_payload.publish_options.multi_share_optimizedoneOf 3booleanOpcional / elemento—
provider_payload.publish_options.unpublished_content_typeoneOf 3stringOpcional / elemento
  • enum: ["SCHEDULED","SCHEDULED_RECURRING","DRAFT","PUBLISH_PENDING","ADS_POST","INLINE_CREATED","PUBLISHED","REVIEWABLE_BRANDED_CONTENT"]
provider_payload.publish_options.no_storyoneOf 3booleanOpcional / elemento—
provider_payload.publish_options.crossposted_video_idoneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.sphericaloneOf 3booleanOpcional / elemento—
provider_payload.publish_options.media_optionsoneOf 3arrayOpcional / elemento
  • maxItems: 20
provider_payload.publish_options.media_options[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.media_options[].asset_idoneOf 3integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.media_options[].alt_text_customoneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 1000
provider_payloadoneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.platformoneOf 4stringObligatorio en el objeto principal
  • const: "threads"
provider_payload.publish_optionsoneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.post_typeoneOf 4stringObligatorio en el objeto principal
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
provider_payload.publish_options.reply_to_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.quote_post_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.repost_target_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.reply_controloneOf 4stringOpcional / elemento
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
provider_payload.publish_options.enable_reply_approvalsoneOf 4booleanOpcional / elemento—
provider_payload.publish_options.link_attachmentoneOf 4stringOpcional / elemento
  • format: "uri"
provider_payload.publish_options.poll_attachmentoneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.poll_attachment.option_aoneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 25
provider_payload.publish_options.poll_attachment.option_boneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 25
provider_payload.publish_options.poll_attachment.option_coneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 25
provider_payload.publish_options.poll_attachment.option_doneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 25
provider_payload.publish_options.gif_attachmentoneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.gif_attachment.gif_idoneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.gif_attachment.provideroneOf 4stringObligatorio en el objeto principal
  • const: "GIPHY"
provider_payload.publish_options.text_attachmentoneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.text_attachment.plaintextoneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 10000
provider_payload.publish_options.text_attachment.link_attachment_urloneOf 4stringOpcional / elemento
  • format: "uri"
provider_payload.publish_options.text_attachment.text_with_styling_infooneOf 4arrayOpcional / elemento
  • maxItems: 100
provider_payload.publish_options.text_attachment.text_with_styling_info[]oneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.text_attachment.text_with_styling_info[].offsetoneOf 4integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.text_attachment.text_with_styling_info[].lengthoneOf 4integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.text_attachment.text_with_styling_info[].styling_infooneOf 4arrayObligatorio en el objeto principal
  • minItems: 1
provider_payload.publish_options.text_attachment.text_with_styling_info[].styling_info[]oneOf 4stringOpcional / elemento
  • enum: ["bold","italic","highlight","underline","strikethrough"]
provider_payload.publish_options.topic_tagoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 50
provider_payload.publish_options.text_entitiesoneOf 4arrayOpcional / elemento
  • maxItems: 10
provider_payload.publish_options.text_entities[]oneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.text_entities[].entity_typeoneOf 4stringObligatorio en el objeto principal
  • enum: ["SPOILER","spoiler"]
provider_payload.publish_options.text_entities[].offsetoneOf 4integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
provider_payload.publish_options.text_entities[].lengthoneOf 4integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.is_spoiler_mediaoneOf 4booleanOpcional / elemento—
provider_payload.publish_options.is_ghost_postoneOf 4booleanOpcional / elemento—
provider_payload.publish_options.location_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
provider_payload.publish_options.allowlisted_country_codesoneOf 4arrayOpcional / elemento
  • minItems: 1
  • maxItems: 249
provider_payload.publish_options.allowlisted_country_codes[]oneOf 4stringOpcional / elemento
  • pattern: "^[A-Z]{2}$"
provider_payload.publish_options.crossreshare_to_igoneOf 4booleanOpcional / elemento—
provider_payload.publish_options.crossreshare_to_ig_dark_modeoneOf 4booleanOpcional / elemento—
provider_payload.publish_options.auto_publish_textoneOf 4booleanOpcional / elemento—
provider_payload.publish_options.media_optionsoneOf 4arrayOpcional / elemento
  • maxItems: 20
provider_payload.publish_options.media_options[]oneOf 4objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.media_options[].asset_idoneOf 4integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.media_options[].alt_textoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 1000
provider_payload.publish_options.media_options[].is_spoiler_mediaoneOf 4booleanOpcional / elemento—
provider_payloadoneOf 5objectOpcional / elemento
  • additionalProperties: false
provider_payload.platformoneOf 5stringObligatorio en el objeto principal
  • const: "youtube"
provider_payload.publish_optionsoneOf 5objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.post_typeoneOf 5stringObligatorio en el objeto principal
  • const: "VIDEO"
provider_payload.publish_options.titleoneOf 5stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 100
provider_payload.publish_options.descriptiononeOf 5stringOpcional / elemento
  • maxLength: 5000
provider_payload.publish_options.tagsoneOf 5arrayOpcional / elemento
  • maxItems: 100
provider_payload.publish_options.tags[]oneOf 5stringOpcional / elemento
  • minLength: 1
  • maxLength: 500
provider_payload.publish_options.category_idoneOf 5stringOpcional / elemento—
provider_payload.publish_options.category_idoneOf 5 / anyOf 1stringOpcional / elemento
  • minLength: 0
  • maxLength: 0
provider_payload.publish_options.category_idoneOf 5 / anyOf 2stringOpcional / elemento
  • pattern: "^\\d+$"
provider_payload.publish_options.default_languageoneOf 5stringOpcional / elemento
  • minLength: 2
  • maxLength: 35
provider_payload.publish_options.localizationsoneOf 5objectOpcional / elemento
  • additionalProperties: {"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":100},"description":{"type":"string","maxLength":5000}},"required":["title","description"],"additionalProperties":false}
provider_payload.publish_options.localizations.*oneOf 5objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.localizations.*.titleoneOf 5stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 100
provider_payload.publish_options.localizations.*.descriptiononeOf 5stringObligatorio en el objeto principal
  • maxLength: 5000
provider_payload.publish_options.privacy_statusoneOf 5stringObligatorio en el objeto principal
  • enum: ["private","unlisted","public"]
provider_payload.publish_options.cancellation_modeoneOf 5stringObligatorio en el objeto principal
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
provider_payload.publish_options.licenseoneOf 5stringOpcional / elemento
  • enum: ["youtube","creativeCommon"]
provider_payload.publish_options.embeddableoneOf 5booleanOpcional / elemento—
provider_payload.publish_options.public_stats_viewableoneOf 5booleanOpcional / elemento—
provider_payload.publish_options.self_declared_made_for_kidsoneOf 5booleanOpcional / elemento—
provider_payload.publish_options.contains_synthetic_mediaoneOf 5booleanOpcional / elemento—
provider_payload.publish_options.has_paid_product_placementoneOf 5booleanOpcional / elemento—
provider_payload.publish_options.recording_dateoneOf 5stringOpcional / elemento
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
provider_payload.publish_options.notify_subscribersoneOf 5booleanOpcional / elemento—
provider_payload.publish_options.thumbnail_asset_idoneOf 5integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
provider_payload.publish_options.surface_expectationoneOf 5stringOpcional / elemento
  • const: "SHORT"
provider_payload.publish_options.brand_partneroneOf 5objectOpcional / elemento
  • additionalProperties: false
provider_payload.publish_options.brand_partner.channel_idoneOf 5stringOpcional / elemento
  • pattern: "^UC[A-Za-z0-9_-]+$"
provider_payload.publish_options.brand_partner.channel_handleoneOf 5stringOpcional / elemento
  • pattern: "^@[A-Za-z0-9._-]+$"
JSON Schema completo
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
    },
    "expected_version": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "patch": {
      "type": "object",
      "properties": {
        "caption": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 5000
            },
            {
              "type": "null"
            }
          ]
        },
        "hashtags": {
          "maxItems": 100,
          "type": "array",
          "items": {
            "type": "string",
            "maxLength": 100
          }
        },
        "media": {
          "maxItems": 20,
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "kind": {
                "type": "string",
                "enum": [
                  "image",
                  "video"
                ]
              },
              "url": {
                "type": "string",
                "format": "uri"
              },
              "cover_url": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "cover_asset_id": {
                "anyOf": [
                  {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "asset_id": {
                "anyOf": [
                  {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "mime_type": {
                "anyOf": [
                  {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 160
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "kind",
              "url"
            ],
            "additionalProperties": false
          }
        },
        "link_url": {
          "anyOf": [
            {
              "type": "string",
              "format": "uri"
            },
            {
              "type": "null"
            }
          ]
        },
        "scheduled_at": {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        },
        "display_timezone": {
          "type": "string",
          "minLength": 1,
          "maxLength": 80
        },
        "local_scheduled_at": {
          "type": "string",
          "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
        },
        "schedule_dst_disambiguation": {
          "type": "string",
          "enum": [
            "exact",
            "earlier",
            "later"
          ]
        },
        "expires_at": {
          "anyOf": [
            {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
            },
            {
              "type": "null"
            }
          ]
        },
        "source_ref": {
          "anyOf": [
            {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            {
              "type": "null"
            }
          ]
        }
      },
      "additionalProperties": false
    },
    "provider_payload": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "platform": {
              "type": "string",
              "const": "x"
            },
            "publish_options": {
              "type": "object",
              "properties": {
                "post_type": {
                  "type": "string",
                  "const": "TEXT"
                }
              },
              "required": [
                "post_type"
              ],
              "additionalProperties": false
            }
          },
          "required": [
            "platform"
          ],
          "additionalProperties": false
        },
        {
          "type": "object",
          "properties": {
            "platform": {
              "type": "string",
              "const": "instagram"
            },
            "publish_options": {
              "type": "object",
              "properties": {
                "post_type": {
                  "type": "string",
                  "enum": [
                    "IMAGE",
                    "VIDEO",
                    "CAROUSEL",
                    "REELS",
                    "STORY_IMAGE",
                    "STORY_VIDEO"
                  ]
                },
                "location_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "share_to_feed": {
                  "type": "boolean"
                },
                "collaborators": {
                  "maxItems": 3,
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 30
                  }
                },
                "first_comment": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 2200
                },
                "cover_asset_id": {
                  "type": "integer",
                  "exclusiveMinimum": 0,
                  "maximum": 9007199254740991
                },
                "thumb_offset_ms": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9007199254740991
                },
                "audio_name": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 100
                },
                "trial_params": {
                  "type": "object",
                  "properties": {
                    "graduation_strategy": {
                      "type": "string",
                      "enum": [
                        "MANUAL",
                        "SS_PERFORMANCE"
                      ]
                    }
                  },
                  "required": [
                    "graduation_strategy"
                  ],
                  "additionalProperties": false
                },
                "is_ai_generated": {
                  "type": "boolean"
                },
                "branded_content_sponsor_ids": {
                  "maxItems": 2,
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  }
                },
                "is_paid_partnership": {
                  "type": "boolean"
                },
                "media_options": {
                  "maxItems": 10,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "asset_id": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      },
                      "alt_text": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 1000
                      },
                      "user_tags": {
                        "maxItems": 20,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "username": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 30
                            },
                            "x": {
                              "type": "number",
                              "minimum": 0,
                              "maximum": 1
                            },
                            "y": {
                              "type": "number",
                              "minimum": 0,
                              "maximum": 1
                            }
                          },
                          "required": [
                            "username"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "product_tags": {
                        "maxItems": 5,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "product_id": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 256
                            },
                            "x": {
                              "type": "number",
                              "minimum": 0,
                              "maximum": 1
                            },
                            "y": {
                              "type": "number",
                              "minimum": 0,
                              "maximum": 1
                            }
                          },
                          "required": [
                            "product_id"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "thumb_offset_ms": {
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      }
                    },
                    "required": [
                      "asset_id"
                    ],
                    "additionalProperties": false
                  }
                }
              },
              "required": [
                "post_type"
              ],
              "additionalProperties": false
            }
          },
          "required": [
            "platform"
          ],
          "additionalProperties": false
        },
        {
          "type": "object",
          "properties": {
            "platform": {
              "type": "string",
              "const": "facebook"
            },
            "publish_options": {
              "type": "object",
              "properties": {
                "post_type": {
                  "type": "string",
                  "enum": [
                    "TEXT",
                    "LINK",
                    "IMAGE",
                    "MULTI_IMAGE",
                    "VIDEO",
                    "REELS",
                    "STORY_IMAGE",
                    "STORY_VIDEO"
                  ]
                },
                "title": {
                  "type": "string",
                  "maxLength": 255
                },
                "description": {
                  "type": "string",
                  "maxLength": 5000
                },
                "publication_mode": {
                  "type": "string",
                  "enum": [
                    "PUBLISH",
                    "DRAFT"
                  ]
                },
                "backdated_time": {
                  "type": "number"
                },
                "backdated_time_granularity": {
                  "type": "string",
                  "enum": [
                    "year",
                    "month",
                    "day",
                    "hour",
                    "minute"
                  ]
                },
                "place": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "tags": {
                  "maxItems": 50,
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  }
                },
                "feed_targeting": {
                  "type": "object",
                  "properties": {
                    "age_min": {
                      "type": "integer",
                      "minimum": 13,
                      "maximum": 65
                    },
                    "age_max": {
                      "type": "integer",
                      "minimum": 13,
                      "maximum": 65
                    },
                    "college_years": {
                      "maxItems": 100,
                      "type": "array",
                      "items": {
                        "type": "integer",
                        "minimum": 1900,
                        "maximum": 2200
                      }
                    },
                    "education_statuses": {
                      "maxItems": 3,
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "type": "number",
                            "const": 1
                          },
                          {
                            "type": "number",
                            "const": 2
                          },
                          {
                            "type": "number",
                            "const": 3
                          }
                        ]
                      }
                    },
                    "genders": {
                      "maxItems": 2,
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "type": "number",
                            "const": 1
                          },
                          {
                            "type": "number",
                            "const": 2
                          }
                        ]
                      }
                    },
                    "geo_locations": {
                      "type": "object",
                      "properties": {
                        "countries": {
                          "minItems": 1,
                          "maxItems": 25,
                          "type": "array",
                          "items": {
                            "type": "string",
                            "pattern": "^[A-Z]{2}$"
                          }
                        },
                        "regions": {
                          "minItems": 1,
                          "maxItems": 250,
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "key": {
                                "anyOf": [
                                  {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 9007199254740991
                                  }
                                ]
                              }
                            },
                            "required": [
                              "key"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "cities": {
                          "minItems": 1,
                          "maxItems": 250,
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "key": {
                                "anyOf": [
                                  {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 9007199254740991
                                  }
                                ]
                              },
                              "radius": {
                                "type": "number",
                                "exclusiveMinimum": 0,
                                "maximum": 1000
                              },
                              "distance_unit": {
                                "type": "string",
                                "enum": [
                                  "mile",
                                  "kilometer"
                                ]
                              }
                            },
                            "required": [
                              "key"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "zips": {
                          "minItems": 1,
                          "maxItems": 250,
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "key": {
                                "anyOf": [
                                  {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 9007199254740991
                                  }
                                ]
                              }
                            },
                            "required": [
                              "key"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "location_types": {
                          "minItems": 1,
                          "maxItems": 2,
                          "type": "array",
                          "items": {
                            "type": "string",
                            "enum": [
                              "home",
                              "recent"
                            ]
                          }
                        }
                      },
                      "additionalProperties": false
                    },
                    "interests": {
                      "maxItems": 250,
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          {
                            "type": "integer",
                            "minimum": 0,
                            "maximum": 9007199254740991
                          }
                        ]
                      }
                    },
                    "locales": {
                      "maxItems": 250,
                      "type": "array",
                      "items": {
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      }
                    },
                    "relationship_statuses": {
                      "maxItems": 4,
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "type": "number",
                            "const": 1
                          },
                          {
                            "type": "number",
                            "const": 2
                          },
                          {
                            "type": "number",
                            "const": 3
                          },
                          {
                            "type": "number",
                            "const": 4
                          }
                        ]
                      }
                    }
                  },
                  "additionalProperties": false
                },
                "targeting": {
                  "type": "object",
                  "properties": {
                    "age_min": {
                      "anyOf": [
                        {
                          "type": "number",
                          "const": 13
                        },
                        {
                          "type": "number",
                          "const": 15
                        },
                        {
                          "type": "number",
                          "const": 18
                        },
                        {
                          "type": "number",
                          "const": 21
                        },
                        {
                          "type": "number",
                          "const": 25
                        }
                      ]
                    },
                    "geo_locations": {
                      "type": "object",
                      "properties": {
                        "countries": {
                          "minItems": 1,
                          "maxItems": 25,
                          "type": "array",
                          "items": {
                            "type": "string",
                            "pattern": "^[A-Z]{2}$"
                          }
                        },
                        "regions": {
                          "minItems": 1,
                          "maxItems": 250,
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "key": {
                                "anyOf": [
                                  {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 9007199254740991
                                  }
                                ]
                              }
                            },
                            "required": [
                              "key"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "cities": {
                          "minItems": 1,
                          "maxItems": 250,
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "key": {
                                "anyOf": [
                                  {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 9007199254740991
                                  }
                                ]
                              },
                              "radius": {
                                "type": "number",
                                "exclusiveMinimum": 0,
                                "maximum": 1000
                              },
                              "distance_unit": {
                                "type": "string",
                                "enum": [
                                  "mile",
                                  "kilometer"
                                ]
                              }
                            },
                            "required": [
                              "key"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "zips": {
                          "minItems": 1,
                          "maxItems": 250,
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "key": {
                                "anyOf": [
                                  {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 9007199254740991
                                  }
                                ]
                              }
                            },
                            "required": [
                              "key"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "location_types": {
                          "minItems": 1,
                          "maxItems": 2,
                          "type": "array",
                          "items": {
                            "type": "string",
                            "enum": [
                              "home",
                              "recent"
                            ]
                          }
                        }
                      },
                      "additionalProperties": false
                    }
                  },
                  "additionalProperties": false
                },
                "child_attachments": {
                  "minItems": 2,
                  "maxItems": 10,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "link": {
                        "type": "string",
                        "format": "uri"
                      },
                      "name": {
                        "type": "string",
                        "maxLength": 255
                      },
                      "description": {
                        "type": "string",
                        "maxLength": 1000
                      },
                      "picture": {
                        "type": "string",
                        "format": "uri"
                      }
                    },
                    "required": [
                      "link",
                      "picture"
                    ],
                    "additionalProperties": false
                  }
                },
                "multi_share_end_card": {
                  "type": "boolean"
                },
                "multi_share_optimized": {
                  "type": "boolean"
                },
                "unpublished_content_type": {
                  "type": "string",
                  "enum": [
                    "SCHEDULED",
                    "SCHEDULED_RECURRING",
                    "DRAFT",
                    "PUBLISH_PENDING",
                    "ADS_POST",
                    "INLINE_CREATED",
                    "PUBLISHED",
                    "REVIEWABLE_BRANDED_CONTENT"
                  ]
                },
                "no_story": {
                  "type": "boolean"
                },
                "crossposted_video_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "spherical": {
                  "type": "boolean"
                },
                "media_options": {
                  "maxItems": 20,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "asset_id": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      },
                      "alt_text_custom": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 1000
                      }
                    },
                    "required": [
                      "asset_id"
                    ],
                    "additionalProperties": false
                  }
                }
              },
              "required": [
                "post_type"
              ],
              "additionalProperties": false
            }
          },
          "required": [
            "platform"
          ],
          "additionalProperties": false
        },
        {
          "type": "object",
          "properties": {
            "platform": {
              "type": "string",
              "const": "threads"
            },
            "publish_options": {
              "type": "object",
              "properties": {
                "post_type": {
                  "type": "string",
                  "enum": [
                    "TEXT",
                    "IMAGE",
                    "VIDEO",
                    "CAROUSEL",
                    "REPOST"
                  ]
                },
                "reply_to_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "quote_post_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "repost_target_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "reply_control": {
                  "type": "string",
                  "enum": [
                    "everyone",
                    "accounts_you_follow",
                    "mentioned_only",
                    "parent_post_author_only",
                    "followers_only"
                  ]
                },
                "enable_reply_approvals": {
                  "type": "boolean"
                },
                "link_attachment": {
                  "type": "string",
                  "format": "uri"
                },
                "poll_attachment": {
                  "type": "object",
                  "properties": {
                    "option_a": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 25
                    },
                    "option_b": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 25
                    },
                    "option_c": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 25
                    },
                    "option_d": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 25
                    }
                  },
                  "required": [
                    "option_a",
                    "option_b"
                  ],
                  "additionalProperties": false
                },
                "gif_attachment": {
                  "type": "object",
                  "properties": {
                    "gif_id": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 256
                    },
                    "provider": {
                      "type": "string",
                      "const": "GIPHY"
                    }
                  },
                  "required": [
                    "gif_id",
                    "provider"
                  ],
                  "additionalProperties": false
                },
                "text_attachment": {
                  "type": "object",
                  "properties": {
                    "plaintext": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 10000
                    },
                    "link_attachment_url": {
                      "type": "string",
                      "format": "uri"
                    },
                    "text_with_styling_info": {
                      "maxItems": 100,
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "offset": {
                            "type": "integer",
                            "minimum": 0,
                            "maximum": 9007199254740991
                          },
                          "length": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "styling_info": {
                            "minItems": 1,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "enum": [
                                "bold",
                                "italic",
                                "highlight",
                                "underline",
                                "strikethrough"
                              ]
                            }
                          }
                        },
                        "required": [
                          "offset",
                          "length",
                          "styling_info"
                        ],
                        "additionalProperties": false
                      }
                    }
                  },
                  "required": [
                    "plaintext"
                  ],
                  "additionalProperties": false
                },
                "topic_tag": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 50
                },
                "text_entities": {
                  "maxItems": 10,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "entity_type": {
                        "type": "string",
                        "enum": [
                          "SPOILER",
                          "spoiler"
                        ]
                      },
                      "offset": {
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "length": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      }
                    },
                    "required": [
                      "entity_type",
                      "offset",
                      "length"
                    ],
                    "additionalProperties": false
                  }
                },
                "is_spoiler_media": {
                  "type": "boolean"
                },
                "is_ghost_post": {
                  "type": "boolean"
                },
                "location_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "allowlisted_country_codes": {
                  "minItems": 1,
                  "maxItems": 249,
                  "type": "array",
                  "items": {
                    "type": "string",
                    "pattern": "^[A-Z]{2}$"
                  }
                },
                "crossreshare_to_ig": {
                  "type": "boolean"
                },
                "crossreshare_to_ig_dark_mode": {
                  "type": "boolean"
                },
                "auto_publish_text": {
                  "type": "boolean"
                },
                "media_options": {
                  "maxItems": 20,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "asset_id": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      },
                      "alt_text": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 1000
                      },
                      "is_spoiler_media": {
                        "type": "boolean"
                      }
                    },
                    "required": [
                      "asset_id"
                    ],
                    "additionalProperties": false
                  }
                }
              },
              "required": [
                "post_type"
              ],
              "additionalProperties": false
            }
          },
          "required": [
            "platform"
          ],
          "additionalProperties": false
        },
        {
          "type": "object",
          "properties": {
            "platform": {
              "type": "string",
              "const": "youtube"
            },
            "publish_options": {
              "type": "object",
              "properties": {
                "post_type": {
                  "type": "string",
                  "const": "VIDEO"
                },
                "title": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 100
                },
                "description": {
                  "type": "string",
                  "maxLength": 5000
                },
                "tags": {
                  "maxItems": 100,
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 500
                  }
                },
                "category_id": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 0,
                      "maxLength": 0
                    },
                    {
                      "type": "string",
                      "pattern": "^\\d+$"
                    }
                  ]
                },
                "default_language": {
                  "type": "string",
                  "minLength": 2,
                  "maxLength": 35
                },
                "localizations": {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 100
                      },
                      "description": {
                        "type": "string",
                        "maxLength": 5000
                      }
                    },
                    "required": [
                      "title",
                      "description"
                    ],
                    "additionalProperties": false
                  }
                },
                "privacy_status": {
                  "type": "string",
                  "enum": [
                    "private",
                    "unlisted",
                    "public"
                  ]
                },
                "cancellation_mode": {
                  "type": "string",
                  "enum": [
                    "DELETE",
                    "UNSCHEDULE_KEEP_PRIVATE"
                  ]
                },
                "license": {
                  "type": "string",
                  "enum": [
                    "youtube",
                    "creativeCommon"
                  ]
                },
                "embeddable": {
                  "type": "boolean"
                },
                "public_stats_viewable": {
                  "type": "boolean"
                },
                "self_declared_made_for_kids": {
                  "type": "boolean"
                },
                "contains_synthetic_media": {
                  "type": "boolean"
                },
                "has_paid_product_placement": {
                  "type": "boolean"
                },
                "recording_date": {
                  "type": "string",
                  "format": "date-time",
                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                },
                "notify_subscribers": {
                  "type": "boolean"
                },
                "thumbnail_asset_id": {
                  "type": "integer",
                  "exclusiveMinimum": 0,
                  "maximum": 9007199254740991
                },
                "surface_expectation": {
                  "type": "string",
                  "const": "SHORT"
                },
                "brand_partner": {
                  "type": "object",
                  "properties": {
                    "channel_id": {
                      "type": "string",
                      "pattern": "^UC[A-Za-z0-9_-]+$"
                    },
                    "channel_handle": {
                      "type": "string",
                      "pattern": "^@[A-Za-z0-9._-]+$"
                    }
                  },
                  "additionalProperties": false
                }
              },
              "required": [
                "post_type",
                "title",
                "privacy_status",
                "cancellation_mode"
              ],
              "additionalProperties": false
            }
          },
          "required": [
            "platform"
          ],
          "additionalProperties": false
        }
      ]
    }
  },
  "required": [
    "id",
    "expected_version",
    "patch"
  ],
  "additionalProperties": false
}

Respuesta y finalización

Estados HTTP de éxito: 200. Cuando la operación se completa: terminal publication outcome.

Una respuesta HTTP exitosa puede indicar aceptación, no finalización. Para trabajo en segundo plano, guarda el ID devuelto y consulta la misma operación hasta que termine. Una publicación programada o aceptada solo está publicada cuando la plataforma lo confirma; un tiempo de espera agotado en el cliente no determina el resultado.

Obligatorio significa obligatorio dentro del objeto principal y la rama elegida. Un campo secundario obligatorio no convierte en obligatorio un objeto principal opcional. Las reglas y nombres de campos siguientes se copian del contrato.

Respuesta y finalización
Campo / ramaTipo / obligatorioRestricciones
$objectObligatorio en el objeto principal—
postobjectObligatorio en el objeto principal—
post.idstringObligatorio en el objeto principal
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
post.workspace_idstringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.social_account_idstring | nullObligatorio en el objeto principal—
post.social_account_idanyOf 1stringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.social_account_idanyOf 2nullObligatorio en el objeto principal—
post.platformstringObligatorio en el objeto principal
  • enum: ["instagram","threads","facebook","youtube","x"]
post.destinationobjectObligatorio en el objeto principal—
post.destination.social_account_idstring | nullObligatorio en el objeto principal—
post.destination.social_account_idanyOf 1stringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.destination.social_account_idanyOf 2nullObligatorio en el objeto principal—
post.destination.platformstringObligatorio en el objeto principal
  • enum: ["instagram","threads","facebook","youtube","x"]
post.destination.platform_user_idstring | nullObligatorio en el objeto principal—
post.destination.platform_user_idanyOf 1stringObligatorio en el objeto principal—
post.destination.platform_user_idanyOf 2nullObligatorio en el objeto principal—
post.destination.account_labelstring | nullObligatorio en el objeto principal—
post.destination.account_labelanyOf 1stringObligatorio en el objeto principal—
post.destination.account_labelanyOf 2nullObligatorio en el objeto principal—
post.captionstring | nullObligatorio en el objeto principal—
post.captionanyOf 1stringObligatorio en el objeto principal—
post.captionanyOf 2nullObligatorio en el objeto principal—
post.hashtagsarrayObligatorio en el objeto principal—
post.hashtags[]stringOpcional / elemento—
post.mediaarrayObligatorio en el objeto principal—
post.media[]objectOpcional / elemento—
post.media[].kindstringObligatorio en el objeto principal
  • enum: ["image","video"]
post.media[].urlstringObligatorio en el objeto principal
  • format: "uri"
post.media[].cover_urlstring | nullOpcional / elemento—
post.media[].cover_urlanyOf 1stringOpcional / elemento
  • format: "uri"
post.media[].cover_urlanyOf 2nullOpcional / elemento—
post.media[].cover_asset_idinteger | nullOpcional / elemento—
post.media[].cover_asset_idanyOf 1integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.media[].cover_asset_idanyOf 2nullOpcional / elemento—
post.media[].asset_idinteger | nullOpcional / elemento—
post.media[].asset_idanyOf 1integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.media[].asset_idanyOf 2nullOpcional / elemento—
post.media[].mime_typestring | nullOpcional / elemento—
post.media[].mime_typeanyOf 1stringOpcional / elemento
  • minLength: 1
  • maxLength: 160
post.media[].mime_typeanyOf 2nullOpcional / elemento—
post.media[].preview_urlstring | nullOpcional / elemento

URL temporal autorizada de lectura; conserva url como identidad multimedia persistente de la publicación programada.

—
post.media[].preview_urlanyOf 1stringOpcional / elemento
  • format: "uri"
post.media[].preview_urlanyOf 2nullOpcional / elemento—
post.media[].cover_preview_urlstring | nullOpcional / elemento

URL temporal autorizada de lectura de portada; conserva cover_url como identidad multimedia persistente.

—
post.media[].cover_preview_urlanyOf 1stringOpcional / elemento
  • format: "uri"
post.media[].cover_preview_urlanyOf 2nullOpcional / elemento—
post.media[].preview_expires_atstring | nullOpcional / elemento—
post.media[].preview_expires_atanyOf 1stringOpcional / elemento
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
post.media[].preview_expires_atanyOf 2nullOpcional / elemento—
post.link_urlstring | nullOpcional / elemento—
post.link_urlanyOf 1stringOpcional / elemento
  • format: "uri"
post.link_urlanyOf 2nullOpcional / elemento—
post.publish_optionsobjectObligatorio en el objeto principal—
post.publish_options.post_typestringOpcional / elemento
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO","REPOST","SHORT"]
post.publish_options.location_idstringOpcional / elemento
  • minLength: 1
post.publish_options.share_to_feedbooleanOpcional / elemento—
post.publish_options.collaboratorsarrayOpcional / elemento
  • maxItems: 3
post.publish_options.collaborators[]stringOpcional / elemento
  • minLength: 1
post.publish_options.first_commentstringOpcional / elemento
  • minLength: 1
  • maxLength: 2200
post.publish_options.topic_tagstringOpcional / elemento
  • minLength: 1
post.publish_options.thumb_offset_msintegerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
post.publish_options.titlestringOpcional / elemento
  • maxLength: 255
post.publish_options.youtube_privacy_statusstringOpcional / elemento
  • enum: ["private","unlisted","public"]
post.publish_options.youtube_category_idstringOpcional / elemento
  • pattern: "^\\d+$"
post.publish_options.youtube_contains_synthetic_mediabooleanOpcional / elemento—
post.publish_options.descriptionstringOpcional / elemento
  • maxLength: 5000
post.publish_options.category_idstringOpcional / elemento
  • pattern: "^\\d+$"
post.publish_options.privacy_statusstringOpcional / elemento
  • enum: ["private","unlisted","public"]
post.publish_options.cancellation_modestringOpcional / elemento
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
post.publish_options.tagsarrayOpcional / elemento—
post.publish_options.tags[]stringOpcional / elemento—
post.publish_options.default_languagestringOpcional / elemento—
post.publish_options.localizationsobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.localizations.*any JSON valueOpcional / elemento—
post.publish_options.licensestringOpcional / elemento
  • enum: ["youtube","creativeCommon"]
post.publish_options.embeddablebooleanOpcional / elemento—
post.publish_options.public_stats_viewablebooleanOpcional / elemento—
post.publish_options.self_declared_made_for_kidsbooleanOpcional / elemento—
post.publish_options.contains_synthetic_mediabooleanOpcional / elemento—
post.publish_options.has_paid_product_placementbooleanOpcional / elemento—
post.publish_options.recording_datestringOpcional / elemento—
post.publish_options.notify_subscribersbooleanOpcional / elemento—
post.publish_options.thumbnail_asset_idintegerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.publish_options.surface_expectationstringOpcional / elemento
  • const: "SHORT"
post.publish_options.brand_partnerobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.brand_partner.*any JSON valueOpcional / elemento—
post.publish_options.cover_asset_idintegerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.publish_options.audio_namestringOpcional / elemento—
post.publish_options.trial_paramsobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.trial_params.*any JSON valueOpcional / elemento—
post.publish_options.is_ai_generatedbooleanOpcional / elemento—
post.publish_options.branded_content_sponsor_idsarrayOpcional / elemento—
post.publish_options.branded_content_sponsor_ids[]stringOpcional / elemento—
post.publish_options.is_paid_partnershipbooleanOpcional / elemento—
post.publish_options.media_optionsarrayOpcional / elemento—
post.publish_options.media_options[]objectOpcional / elemento
  • additionalProperties: {}
post.publish_options.media_options[].*any JSON valueOpcional / elemento—
post.publish_options.reply_to_idstringOpcional / elemento—
post.publish_options.quote_post_idstringOpcional / elemento—
post.publish_options.repost_target_idstringOpcional / elemento—
post.publish_options.reply_controlstringOpcional / elemento—
post.publish_options.enable_reply_approvalsbooleanOpcional / elemento—
post.publish_options.link_attachmentstringOpcional / elemento
  • format: "uri"
post.publish_options.poll_attachmentobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.poll_attachment.*any JSON valueOpcional / elemento—
post.publish_options.gif_attachmentobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.gif_attachment.*any JSON valueOpcional / elemento—
post.publish_options.text_attachmentobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.text_attachment.*any JSON valueOpcional / elemento—
post.publish_options.text_entitiesarrayOpcional / elemento—
post.publish_options.text_entities[]objectOpcional / elemento
  • additionalProperties: {}
post.publish_options.text_entities[].*any JSON valueOpcional / elemento—
post.publish_options.is_spoiler_mediabooleanOpcional / elemento—
post.publish_options.is_ghost_postbooleanOpcional / elemento—
post.publish_options.allowlisted_country_codesarrayOpcional / elemento—
post.publish_options.allowlisted_country_codes[]stringOpcional / elemento—
post.publish_options.crossreshare_to_igbooleanOpcional / elemento—
post.publish_options.crossreshare_to_ig_dark_modebooleanOpcional / elemento—
post.publish_options.auto_publish_textbooleanOpcional / elemento—
post.publish_options.publication_modestringOpcional / elemento
  • enum: ["PUBLISH","DRAFT"]
post.publish_options.backdated_timenumberOpcional / elemento—
post.publish_options.backdated_time_granularitystringOpcional / elemento
  • enum: ["year","month","day","hour","minute"]
post.publish_options.placestringOpcional / elemento—
post.publish_options.feed_targetingobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.feed_targeting.*any JSON valueOpcional / elemento—
post.publish_options.targetingobjectOpcional / elemento
  • additionalProperties: {}
post.publish_options.targeting.*any JSON valueOpcional / elemento—
post.publish_options.child_attachmentsarrayOpcional / elemento—
post.publish_options.child_attachments[]objectOpcional / elemento
  • additionalProperties: {}
post.publish_options.child_attachments[].*any JSON valueOpcional / elemento—
post.publish_options.multi_share_end_cardbooleanOpcional / elemento—
post.publish_options.multi_share_optimizedbooleanOpcional / elemento—
post.publish_options.unpublished_content_typestringOpcional / elemento—
post.publish_options.no_storybooleanOpcional / elemento—
post.publish_options.crossposted_video_idstringOpcional / elemento—
post.publish_options.sphericalbooleanOpcional / elemento—
post.scheduled_atstringObligatorio en el objeto principal—
post.display_timezonestringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 80
post.local_scheduled_atstring | nullOpcional / elemento—
post.local_scheduled_atanyOf 1stringOpcional / elemento
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
post.local_scheduled_atanyOf 2nullOpcional / elemento—
post.schedule_timezonestring | nullOpcional / elemento—
post.schedule_timezoneanyOf 1stringOpcional / elemento
  • minLength: 1
  • maxLength: 80
post.schedule_timezoneanyOf 2nullOpcional / elemento—
post.schedule_dst_disambiguationstring | nullOpcional / elemento—
post.schedule_dst_disambiguationanyOf 1stringOpcional / elemento
  • enum: ["exact","earlier","later"]
post.schedule_dst_disambiguationanyOf 2nullOpcional / elemento—
post.schedule_intent_statestringOpcional / elemento
  • enum: ["verified","legacy_unverified"]
post.expires_atstring | nullObligatorio en el objeto principal—
post.expires_atanyOf 1stringObligatorio en el objeto principal—
post.expires_atanyOf 2nullObligatorio en el objeto principal—
post.statusstringObligatorio en el objeto principal
  • enum: ["scheduled","publishing","published","failed","expired","needs_reschedule","cancelled","deleted"]
post.versionintegerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.automatic_retry_enabledbooleanObligatorio en el objeto principal—
post.delete_requested_atstring | nullObligatorio en el objeto principal—
post.delete_requested_atanyOf 1stringObligatorio en el objeto principal—
post.delete_requested_atanyOf 2nullObligatorio en el objeto principal—
post.published_atstring | nullObligatorio en el objeto principal—
post.published_atanyOf 1stringObligatorio en el objeto principal—
post.published_atanyOf 2nullObligatorio en el objeto principal—
post.deleted_atstring | nullObligatorio en el objeto principal—
post.deleted_atanyOf 1stringObligatorio en el objeto principal—
post.deleted_atanyOf 2nullObligatorio en el objeto principal—
post.provider_post_idstring | nullObligatorio en el objeto principal—
post.provider_post_idanyOf 1stringObligatorio en el objeto principal—
post.provider_post_idanyOf 2nullObligatorio en el objeto principal—
post.permalinkstring | nullObligatorio en el objeto principal—
post.permalinkanyOf 1stringObligatorio en el objeto principal
  • format: "uri"
post.permalinkanyOf 2nullObligatorio en el objeto principal—
post.created_atstringObligatorio en el objeto principal—
post.updated_atstringObligatorio en el objeto principal—
post.project_idstring | nullObligatorio en el objeto principal—
post.project_idanyOf 1stringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.project_idanyOf 2nullObligatorio en el objeto principal—
post.batch_idstring | nullObligatorio en el objeto principal—
post.batch_idanyOf 1stringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.batch_idanyOf 2nullObligatorio en el objeto principal—
post.source_refobject | nullObligatorio en el objeto principal—
post.source_refanyOf 1objectObligatorio en el objeto principal
  • additionalProperties: {}
post.source_ref.*anyOf 1any JSON valueOpcional / elemento—
post.source_refanyOf 2nullObligatorio en el objeto principal—
JSON Schema completo
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "post": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        },
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "social_account_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            {
              "type": "null"
            }
          ]
        },
        "platform": {
          "type": "string",
          "enum": [
            "instagram",
            "threads",
            "facebook",
            "youtube",
            "x"
          ]
        },
        "destination": {
          "type": "object",
          "properties": {
            "social_account_id": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "platform": {
              "type": "string",
              "enum": [
                "instagram",
                "threads",
                "facebook",
                "youtube",
                "x"
              ]
            },
            "platform_user_id": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "account_label": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "social_account_id",
            "platform",
            "platform_user_id",
            "account_label"
          ]
        },
        "caption": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "hashtags": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "media": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "kind": {
                "type": "string",
                "enum": [
                  "image",
                  "video"
                ]
              },
              "url": {
                "type": "string",
                "format": "uri"
              },
              "cover_url": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "cover_asset_id": {
                "anyOf": [
                  {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "asset_id": {
                "anyOf": [
                  {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "mime_type": {
                "anyOf": [
                  {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 160
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "preview_url": {
                "description": "Temporary authorized read URL; keep url as persisted Scheduled Post media identity.",
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "cover_preview_url": {
                "description": "Temporary authorized cover read URL; keep cover_url as persisted media identity.",
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "preview_expires_at": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
[...]
